Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
cloudappliance/1906/upgrade-guide [2020_02_13 16:33]
zim
cloudappliance/1906/upgrade-guide [2020_09_14 13:11] (current)
zim
Line 3: Line 3:
 See also [[:​cloudappliance/​applupdatev1906|Release Notes v1906.]] See also [[:​cloudappliance/​applupdatev1906|Release Notes v1906.]]
  
-latest update: ​December 172019+latest update: ​September 142020 
 + 
 +<WRAP center round info 100%> 
 +The 1906.08 version is currently only available in SME's Early Access program. Please contact support to enquire about early access. 
 +</​WRAP>​ 
  
 The SME Enterprise File Fabric platform is shipped as a virtual appliance, this makes it easy to deploy. The new generation of Enterprise File Fabric has a more comprehensive way to upgrade. ​ Upgrades from v10.x SME appliance or later are accomplished in-place, without the need to redeploy and migrate to a new virtual machine. ​ The SME Enterprise File Fabric platform is shipped as a virtual appliance, this makes it easy to deploy. The new generation of Enterprise File Fabric has a more comprehensive way to upgrade. ​ Upgrades from v10.x SME appliance or later are accomplished in-place, without the need to redeploy and migrate to a new virtual machine. ​
Line 16: Line 21:
  
   * You have the new style SME File Fabric Appliance license   * You have the new style SME File Fabric Appliance license
-  * SME version 10.0.X, 1705.X, 1712.X, 1808.X is installed and functional+  * SME version 10.0.X, 1705.X, 1712.X, 1808.X or 1901.X is installed and functional
   * Public internet access for download patches   * Public internet access for download patches
   * A complete backup / snapshot has been done of both the system and the database   * A complete backup / snapshot has been done of both the system and the database
Line 70: Line 75:
 <​code>​ <​code>​
 yum clean all yum clean all
-yum install sme-package-1906.06-09+yum install sme-package-1906.07-49
 </​code>​ </​code>​
  
-new configuration value will need to be added to the SME configuration file. Add the following to /​var/​www/​smestorage/​public_html/config.inc.php:+For upgrades from versions prior to 1906.06, a new configuration value will need to be added to the File Fabric'​s core configuration file. Please [[appliance/editing-config|follow this guide for editing the configuration file]]The following configuration flag must be present:
  
 <​code>​ <​code>​